> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Assignment

> Get a user role assignment by ID.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /rbac/user-assignments/{assignment_id}
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /rbac/user-assignments/{assignment_id}:
    get:
      tags:
        - rbac
      summary: Get User Assignment
      description: Get a user role assignment by ID.
      operationId: rbac-get_user_assignment
      parameters:
        - name: assignment_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Assignment Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserRoleAssignmentReadWithDetails'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    UserRoleAssignmentReadWithDetails:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        organization_id:
          type: string
          format: uuid
          title: Organization Id
        user_id:
          type: string
          format: uuid
          title: User Id
        workspace_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Workspace Id
        role_id:
          type: string
          format: uuid
          title: Role Id
        assigned_at:
          type: string
          format: date-time
          title: Assigned At
        assigned_by:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Assigned By
        user_email:
          type: string
          title: User Email
        role_name:
          type: string
          title: Role Name
        workspace_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Workspace Name
      type: object
      required:
        - id
        - organization_id
        - user_id
        - role_id
        - assigned_at
        - user_email
        - role_name
      title: UserRoleAssignmentReadWithDetails
      description: Read schema for a user role assignment with user and role details.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````